%define module	Gnome2-GConf
%define name	perl-%{module}
%define version 1.044
%define release %mkrel 2

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	Perl module for the gnome2-2.x GConf libraries
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
URL:		http://gtk2-perl.sf.net/
Source:		http://www.cpan.org/modules/by-module/Gnome2/%{module}-%{version}.tar.bz2
Patch0:		Gnome2-GConf-1.000-cfg_src.patch
BuildRequires:	perl-devel
BuildRequires:	libGConf2-devel => 2.4.0
BuildRequires:	perl-Glib => 1.070
BuildRequires:	perl-Gtk2
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	perl-ExtUtils-PkgConfig 
Requires:	perl-Glib >= 1.070
Conflicts:	drakxtools < 9.1-15mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module provides perl access to GNOME-2.x GConf2 libraries.

GConf is a configuration data storage mechanism scheduled to
ship with GNOME 2.0. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 
%patch0 -p0 -b .cfg_src

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{cflags}" GTK2_PERL_CFLAGS="%{cflags}"

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHOR README examples
%{_mandir}/*/*
%{perl_vendorarch}/Gnome2*
%{perl_vendorarch}/auto/Gnome2




%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.044-2mdv2008.1
+ Revision: 152090
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.044-1mdv2008.1
+ Revision: 95742
- new release

* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 2mdv2008.0-current
+ Revision: 44608
- rebuild


* Wed Sep 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.040-1mdv2007.0
- new release

* Wed Jul 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.032-1mdv2007.0
- new release

* Sat Jun 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.031-1mdv2007.0
- New version 1.031

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.030-1mdv2007.0
- new release
- spec cleanup
- rpmbuildupdate aware

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.021-1mdk
- new release

* Tue Oct 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.020-1mdk
- new release

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.012-1mdk
- new release

* Fri Feb 04 2005 Olivier Blin <oblin@mandrakesoft.com> 1.000-4mdk
- Patch0: allow to specify config source in GConfClient

* Thu Feb 03 2005 Olivier Blin <oblin@mandrakesoft.com> 1.000-3mdk
- rebuild for perl-5.8.6

* Sat Aug 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.000-2mdk
- rebuild for perl-5.8.5

* Wed Mar 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.000-1mdk
- new release

* Sat Jan 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.42-2mdk
- add examples

* Sat Jan 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.42-1mdk
- initial release

